Get an application by ID
https://api.propexo.com/v1/applications/:idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the application
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Leasing | /Leasing/GetApplicantsAndCurrentResidents |
b2f6d0a8-4c31-4e97-9a15-8d3c7e1f6042The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for RESMAN
nullThe external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Leasing | /Leasing/GetApplicantsAndCurrentResidents |
7c4e1a90-2b58-4f63-a1d7-e90c5b28f416The external ID of the unit from the integration vendor
| Interface | Method |
|---|---|
| Leasing | /Leasing/GetApplicantsAndCurrentResidents |
abc-123-def-456DEPRECATED. Use status_raw and status_normalized on the applicants array
Deprecated in favor of status_raw and status_normalized on applicants_to_applications
| Interface | Method |
|---|---|
| Leasing | /Leasing/GetApplicantsAndCurrentResidents |
custom_data object | nullrequired
applicants object[]required
Applicants associated with the application
The Propexo unique identifier for the applicant
| Interface | Method |
|---|---|
| Leasing | /Leasing/GetApplicantsAndCurrentResidents |
cm4k8n2pqc0005app7h6j5m4r3The Propexo unique identifier for the application
| Interface | Method |
|---|---|
| Leasing | /Leasing/GetApplicantsAndCurrentResidents |
cm4k8n2pqd0006apl8i7k6n5s4DEPRECATED. Use status_raw
| Interface | Method |
|---|---|
| Leasing | /Leasing/GetApplicantsAndCurrentResidents |
The raw status associated with the applicant
| Interface | Method |
|---|---|
| Leasing | /Leasing/GetApplicantsAndCurrentResidents |
PendingThe normalized status associated with the applicant. Confirm these derived values before using them in production.
| Interface | Method |
|---|---|
| Leasing | /Leasing/GetApplicantsAndCurrentResidents |
PENDINGcustom_data object | null
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_RESTRESMANThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit
| Interface | Method |
|---|---|
| Leasing | /Leasing/GetApplicantsAndCurrentResidents |
cm20oe3sw87101871971bl8bymi60v3oErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/applications/:id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "b2f6d0a8-4c31-4e97-9a15-8d3c7e1f6042",
"x_location_id": null,
"x_property_id": "7c4e1a90-2b58-4f63-a1d7-e90c5b28f416",
"x_unit_id": "abc-123-def-456",
"custom_data": "Unknown Type: object,null",
"applicants": [
{
"applicant_id": "cm4k8n2pqc0005app7h6j5m4r3",
"application_id": "cm4k8n2pqd0006apl8i7k6n5s4",
"status_raw": "Pending",
"status_normalized": "PENDING",
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cm20oe3sw87101871971bl8bymi60v3o"
}
}